### Method

# WebKit2 AuthenticationRequest can_save_credentials

since: 2.2

#### Declaration [src]

    gboolean
    webkit_authentication_request_can_save_credentials (
      WebKitAuthenticationRequest* request
    )

#### Description [src]

Determine whether this `WebKitAuthenticationRequest` should allow the storage of credentials.

Determine whether the authentication method associated with this `WebKitAuthenticationRequest` should allow the storage of credentials. This will return `FALSE` if WebKit doesn’t support credential storing, if private browsing is enabled, or if persistent credential storage has been disabled in `WebKitWebsiteDataManager`, unless credentials saving has been explicitly enabled with webkit_authentication_request_set_can_save_credentials().

Available since: 2.2

#### Return value

Type: `gboolean`

`TRUE` if WebKit can store credentials or `FALSE` otherwise.